#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

if ($request_method = 'OPTIONS') {
    add_header 'Access-Control-Allow-Origin' '{{ item.origin | default('*') }}';
    add_header 'Access-Control-Max-Age' 1728000;
    add_header 'Content-Length' 0;
    add_header 'Content-Type' 'text/plain charset=UTF-8';
    return 204;
}

add_header 'Access-Control-Allow-Origin' '{{ item.origin | default('*') }}' always;
{% if item.expose is defined %}
add_header 'Access-Control-Expose-Headers' '{{ item.expose | mandatory }}';
{% endif %}
